#

## zoom

Zoom window by specified magnification factor.

### Shortcuts:

> Key macro z implements the command zoom 0.5 (zoom out by a factor of 2).
> Key macro Z implements the command zoom 2 (zoom in by a factor of 2).

### Usage:

> zoom factor

> > where factor is any real value. Values larger than 1 indicate a zoom in, while values smaller than 1 indicate a zoom out.

### Summary:

> The zoom command implements view scaling in the layout window in and out by the indicated magnification factor.

> Note that several other commands effect a change in the view scale factor, including findbox zoom and view with coordinate arguments.

### Implementation Notes:

> zoom is implemented as a built-in window command in magic.

### See Also:

> center
> view
> findbox

Return to command index

Last updated: March 7, 2020 at 1:06pm